<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.bank.autosetting.mapper.AutoSettingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="autoSettingResultMap" type="org.springblade.bank.autosetting.entity.AutoSetting">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="business_id" property="businessId"/>
        <result column="table_id" property="tableId"/>
        <result column="create_setting_type" property="createSettingType"/>
        <result column="setting" property="setting"/>
    </resultMap>

    <select id="selectAutoSettingPage" resultMap="autoSettingResultMap">
        select * from zh_auto_setting where is_deleted = 0
    </select>

</mapper>
